Favicon

You are here: Home > API Reference > Windows > Windows Devices > Retrieve MDM agent configuration settings.

Retrieve MDM agent configuration settings.

Required Permission: mdm.windows.device.get

Fetches current configuration settings for the device agent including server endpoints, polling intervals, and operational parameters for effective management, purposes.

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/agent-config
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/agent-config" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/agent-config", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/agent-config",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winDeviceId string
required
Windows device identifier used for targeting operations, supporting MongoDB ObjectId, IMEI, or serial number formats for flexible device lookup.
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data object optional
config object optional
checkInterval integer optional
≥ 0
configAssets object optional
checkInterval integer optional
≥ 0
windows object optional
location object optional
applicationsTime object optional
applicationsTransfer object optional
networkStatus object optional
scripts object optional
policyFeatures array [object] optional
{
    "status": true,
    "data": {
        "config": {
            "checkInterval": 0
        },
        "configAssets": {
            "checkInterval": 0
        },
        "windows": {
            "location": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "applicationsTime": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            },
            "applicationsTransfer": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            },
            "networkStatus": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "scripts": {
                "active": true,
                "checkInterval": 0
            },
            "policyFeatures": [
                {
                    "reason": "toggled",
                    "active": true,
                    "isDefaultView": true,
                    "name": "applications"
                }
            ]
        }
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}